You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@airflow.apache.org by po...@apache.org on 2021/04/06 00:44:24 UTC

[airflow] branch v2-0-test updated: not fail on missing status in tests

This is an automated email from the ASF dual-hosted git repository.

potiuk pushed a commit to branch v2-0-test
in repository https://gitbox.apache.org/repos/asf/airflow.git


The following commit(s) were added to refs/heads/v2-0-test by this push:
     new 752191d  not fail on missing status in tests
752191d is described below

commit 752191dccff5376ea7c3bc2c50c8975926376334
Author: Jarek Potiuk <ja...@potiuk.com>
AuthorDate: Tue Apr 6 02:42:41 2021 +0200

    not fail on missing status in tests
---
 scripts/ci/libraries/_parallel.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/ci/libraries/_parallel.sh b/scripts/ci/libraries/_parallel.sh
index 739bae1..e2f8ad4 100644
--- a/scripts/ci/libraries/_parallel.sh
+++ b/scripts/ci/libraries/_parallel.sh
@@ -147,7 +147,7 @@ function parallel::print_job_summary_and_return_status_code() {
     for job_path in "${PARALLEL_MONITORED_DIR}/${SEMAPHORE_NAME}/"*
     do
         job="$(basename "${job_path}")"
-        status=$(cat "${PARALLEL_MONITORED_DIR}/${SEMAPHORE_NAME}/${job}/status")
+        status=$(cat "${PARALLEL_MONITORED_DIR}/${SEMAPHORE_NAME}/${job}/status" || true)
         if [[ ${status} == "0" ]]; then
             parallel::output_log_for_successful_job "${job}"
         else